Changeset 147737 for trunk


Ignore:
Timestamp:
Apr 13, 2016, 7:19:13 PM (4 years ago)
Author:
michaelld@…
Message:

py*-sip: update to 4.18.0. Augmented SIP API seems to work OK with older SIP dependencies such as PyQt* and PyQwt.

Location:
trunk/dports/python/py-sip
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/python/py-sip/Portfile

    r141675 r147737  
    2222homepage            http://www.riverbankcomputing.co.uk/software/sip/intro
    2323
    24 version             4.17
     24version             4.18
    2525
    2626# from siplib/sip.h.in:
     
    3333# incremented and the minor number set to 0.
    3434#
     35# SIP 4.18.0 provides SIP API 11.3
    3536# SIP 4.17.0 provides SIP API 11.2
    3637# SIP 4.16.[8-9] provides SIP API 11.2
     
    5657    }
    5758
    58     checksums           rmd160 770f4ee539c7f637fe3c24679f5d8d8ba7dcd252 \
    59                         sha256 603026822adf8673fca6e0ea20b02c3c4a2dccb309647656f7269adc8de89060
     59    checksums           rmd160 77aabe2970b2ec2ae9e10d2bbfae898515ac2b0d \
     60                        sha256 f1dc5c81c07a9ad97edcd4a0af964a41e420024ba7ca165afd2b351efd249cb6
    6061
    6162    patchfiles          patch-siputils.py.diff \
  • trunk/dports/python/py-sip/files/patch-configure.py.diff

    r141675 r147737  
    1 --- configure.py.orig   2015-02-25 13:03:17.000000000 -0500
    2 +++ configure.py        2015-02-25 21:58:10.000000000 -0500
    3 @@ -894,7 +894,6 @@
     1--- configure.py.orig
     2+++ configure.py
     3@@ -921,7 +921,6 @@
    44         raise
    55     except:
Note: See TracChangeset for help on using the changeset viewer.